TF_COMPLIANCE_FEATURE_FILES	:= features
GHERKIN_LINT_IMAGE_PATH		:= gherkin/lint
GHERKIN_LINT_IMAGE_VERSION	:= 1.2.2
GHERKIN_LINT_IMAGE			:= $(GHERKIN_LINT_IMAGE_PATH):$(GHERKIN_LINT_IMAGE_VERSION)

GHERKIN_LINT_CMD = docker run \
			-ti -v "$$(pwd)":/src \
			-w /src/$(TF_COMPLIANCE_FEATURE_FILES) \
			$(GHERKIN_LINT_IMAGE) \
			*.feature

gherkin_lint:
	$(GHERKIN_LINT_CMD)

.PHONY: gherkin_lint
